# Security

MeiliSearch takes the security of our software products and services seriously.

If you believe you have found a security vulnerability in any MeiliSearch-owned repository, please report it to us as described below.

## Suported versions

As long as we are pre-v1.0, only the latest version of MeiliSearch will be supported with security updates. 

## Reporting security issues

⚠️ Please do not report security vulnerabilities through public GitHub issues. ⚠️ 

Instead, please kindly email us at security@meilisearch.com

Please include the requested information listed below (as much as you can provide) to help us better understand the nature and scope of the possible issue:

- Type of issue (e.g. buffer overflow, SQL injection, cross-site scripting, etc.)
- Full paths of source file(s) related to the manifestation of the issue
- The location of the affected source code (tag/branch/commit or direct URL)
- Any special configuration required to reproduce the issue
- Step-by-step instructions to reproduce the issue
- Proof-of-concept or exploit code (if possible)
- Impact of the issue, including how an attacker might exploit the issue

This information will help us triage your report more quickly.

You will receive a response from us within 72 hours. If the issue is confirmed, we will release a patch as soon as possible depending on complexity.

## Preferred languages

We prefer all communications to be in English.
